src: |
  SELECT ascii(substr(t_etude_6.code, 4, 1)) + ascii(substr(t_etude_6.code, 5, 1)) + ascii(substr(t_etude_6.code, 6, 1)) + ascii(substr(t_etude_6.code, 5, 2)) AS oid,
      t_etude_6.code,
      t_etude_6.texte,
      t_etude_6.texte_court,
      t_etude_6.activite_id,
      t_etude_6.activite_code,
      t_etude_6.activite_texte
     FROM pmsi.t_etude_6
    WHERE t_etude_6.code IS NOT NULL 
      AND t_etude_6.code <> ''::text
      AND annee = 2022
    GROUP BY t_etude_6.code, t_etude_6.texte, t_etude_6.texte_court, t_etude_6.activite_id, t_etude_6.activite_code, t_etude_6.activite_texte
    ORDER BY t_etude_6.code;